org.apache.lucene.index

## Class AssertingLeafReader.AssertingSortedDocValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.BinaryDocValues
    - - org.apache.lucene.index.SortedDocValues
      - - org.apache.lucene.index.AssertingLeafReader.AssertingSortedDocValues

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingSortedDocValues
    extends SortedDocValues

Wraps a SortedDocValues but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

`NO_MORE_DOCS`

### Constructor Summary

Constructors
Constructor and Description
`AssertingSortedDocValues(SortedDocValues in, int maxDoc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `advance(int target)`
`boolean` `advanceExact(int target)`
`BytesRef` `binaryValue()`
`long` `cost()`
`int` `docID()`
`int` `getValueCount()`
`BytesRef` `lookupOrd(int ord)`
`int` `lookupTerm(BytesRef key)`
`int` `nextDoc()`
`int` `ordValue()`

### Methods inherited from class org.apache.lucene.index.SortedDocValues

`intersect, termsEnum`

### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

`all, empty, range, slowAdvance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingSortedDocValues

    public AssertingSortedDocValues(SortedDocValues in,
                                    int maxDoc)

### Method Detail

#### docID

    public int docID()

Specified by:
  `docID` in class `DocIdSetIterator`

#### nextDoc

    public int nextDoc()
                throws IOException

Specified by:
  `nextDoc` in class `DocIdSetIterator`
Throws:
  `IOException`

#### advance

    public int advance(int target)
                throws IOException

Specified by:
  `advance` in class `DocIdSetIterator`
Throws:
  `IOException`

#### advanceExact

    public boolean advanceExact(int target)
                         throws IOException

Throws:
  `IOException`

#### cost

    public long cost()

Specified by:
  `cost` in class `DocIdSetIterator`

#### ordValue

    public int ordValue()
                 throws IOException

Specified by:
  `ordValue` in class `SortedDocValues`
Throws:
  `IOException`

#### lookupOrd

    public BytesRef lookupOrd(int ord)
                       throws IOException

Specified by:
  `lookupOrd` in class `SortedDocValues`
Throws:
  `IOException`

#### getValueCount

    public int getValueCount()

Specified by:
  `getValueCount` in class `SortedDocValues`

#### binaryValue

    public BytesRef binaryValue()
                         throws IOException

Overrides:
  `binaryValue` in class `SortedDocValues`
Throws:
  `IOException`

#### lookupTerm

    public int lookupTerm(BytesRef key)
                   throws IOException

Overrides:
  `lookupTerm` in class `SortedDocValues`
Throws:
  `IOException`